## ros-melodic-octomap-server 0.6.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(octomap_server)

set(PACKAGE_DEPENDENCIES
  roscpp
  visualization_msgs
  sensor_msgs
  pcl_ros
  pcl_conversions
  nav_msgs
  std_msgs
  std_srvs
  octomap_ros
  octomap_msgs
  dynamic_reconfigure
  nodelet
)


find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDENCIES})

find_package(octomap REQUIRED)
add_definitions(-DOCTOMAP_NODEBUGOUT)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OCTOMAP_INCLUDE_DIRS}
)

generate_dynamic_reconfigure_options(cfg/OctomapServer.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS ${PACKAGE_DEPENDENCIES}
  DEPENDS OCTOMAP
)

set(LINK_LIBS
  ${OCTOMAP_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_library(${PROJECT_NAME} src/OctomapServer.cpp src/OctomapServerMultilayer.cpp src/TrackingOctomapServer.cpp)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)

add_library(${PROJECT_NAME}_color src/OctomapServer.cpp src/OctomapServerMultilayer.cpp src/TrackingOctomapServer.cpp)
target_link_libraries(${PROJECT_NAME}_color ${LINK_LIBS})
add_dependencies(${PROJECT_NAME}_color ${PROJECT_NAME}_gencfg)
target_compile_definitions(${PROJECT_NAME}_color PUBLIC COLOR_OCTOMAP_SERVER)

add_executable(octomap_server_node src/octomap_server_node.cpp)
target_link_libraries(octomap_server_node ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_color_server_node src/octomap_server_node.cpp)
target_link_libraries(octomap_color_server_node ${PROJECT_NAME}_color ${LINK_LIBS})

add_executable(octomap_server_static src/octomap_server_static.cpp)
target_link_libraries(octomap_server_static ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_server_multilayer src/octomap_server_multilayer.cpp)
target_link_libraries(octomap_server_multilayer ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_saver src/octomap_saver.cpp)
target_link_libraries(octomap_saver ${PROJECT_NAME} ${LINK_LIBS})

add_executable(octomap_tracking_server_node src/octomap_tracking_server_node.cpp)
target_link_libraries(octomap_tracking_server_node ${PROJECT_NAME} ${LINK_LIBS})

# Nodelet
add_library(octomap_server_nodelet src/octomap_server_nodelet.cpp)
target_link_libraries(octomap_server_nodelet ${PROJECT_NAME} ${LINK_LIBS})

add_library(octomap_color_server_nodelet src/octomap_server_nodelet.cpp)
target_link_libraries(octomap_color_server_nodelet ${PROJECT_NAME}_color ${LINK_LIBS})

# install targets:
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_color
  octomap_server_node
  octomap_color_server_node
  octomap_server_static
  octomap_server_multilayer
  octomap_saver
  octomap_tracking_server_node
  octomap_server_nodelet
  octomap_color_server_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".svn" EXCLUDE
)

install(FILES 
  nodelet_plugins.xml
  color_nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-octomap-server (0.6.5-1stretch) stretch; urgency=high

  * Add color server nodelet (#68 <https://github.com/OctoMap/octomap_mapping/issues/68>, #67 <https://github.com/OctoMap/octomap_mapping/issues/67>)
  * Updated maintainer email
  * Contributors: clunietp, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-melodic-octomap-server (0.6.4-1stretch) stretch; urgency=high

  * Add private node handle to fix nodelet support (#61 <https://github.com/OctoMap/octomap_mapping/issues/61>), fixes #39 <https://github.com/OctoMap/octomap_mapping/issues/39>
  * Add octomap_server_color library by default (#60 <https://github.com/OctoMap/octomap_mapping/issues/60>) - by Matthew Powelson
  * Check if part of a voxel is in occupancy range (#59 <https://github.com/OctoMap/octomap_mapping/issues/59>) - by Jasper v. B.
  * Contributors: Matthew Powelson, Wolfgang Merkt, Jasper v. B.

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-melodic-octomap-server (0.6.3-1stretch) stretch; urgency=high

  * Fix compilation on Debian Stretch
  * Get rgb from point cloud iterator without byte shift
  * Contributors: Kentaro Wada, Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-melodic-octomap-server (0.6.2-1stretch) stretch; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Change catkin_package DEPENDS to OCTOMAP to avoid CMake warning
  * Update maintainer email (Arming Hornung)
  * Update to use non deprecated pluginlib macro
  * Fixed memory leak of colors pointer if COLOR_OCTOMAP_SERVER defined
  * Contributors: Armin Hornung, Mikael Arguedas, Ronky, Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-melodic-octomap-server (0.6.1-1stretch) stretch; urgency=high

  * Fix for Colored Octomap: Use PCLPoint everywhere
    Fixes compiler error when enabling the define
    for color.
  * Fixed maxRange bug in OctomapServer.cpp for clearing
  * Adjust maintainer email
  * Contributors: Armin Hornung, Brandon Kinman, Felix Endres

 -- Armin Hornung <armin@hornung.io>  Tue, 18 Oct 2016 23:00:00 -0000

ros-melodic-octomap-server (0.6.0-1stretch) stretch; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Fri, 25 Mar 2016 00:00:00 -0000

ros-melodic-octomap-server (0.5.3-1stretch) stretch; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-melodic-octomap-server (0.5.2-1stretch) stretch; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-melodic-octomap-server (0.5.1-1stretch) stretch; urgency=high

  * Fix missing nodelet plugin from install

 -- Armin Hornung <armin@hornung.io>  Mon, 25 Nov 2013 00:00:00 -0000

ros-melodic-octomap-server (0.5.0-1stretch) stretch; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Armin Hornung <armin@hornung.io>  Wed, 23 Oct 2013 23:00:00 -0000

ros-melodic-octomap-server (0.4.9-1stretch) stretch; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Armin Hornung <armin@hornung.io>  Wed, 26 Jun 2013 23:00:00 -0000

ros-melodic-octomap-server (0.4.8-1stretch) stretch; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Armin Hornung <armin@hornung.io>  Tue, 08 Jan 2013 00:00:00 -0000

ros-melodic-octomap-server (0.4.6-1stretch) stretch; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server
  * octomap_server and octomap_saver now fully support both binary and full occupancy maps
  * octomap_server can now open .ot files properly, updated octomap_ros to new-style stack.xml
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h
  * removed OctomapROS wrapper from octomap_server classes
  * octomap_server manifest exports dynamic_reconfigure path in cppflags
  * parameter in launch file adjusted

 -- Armin Hornung <armin@hornung.io>  Mon, 28 Jan 2013 00:00:00 -0000

ros-melodic-octomap-server (0.4.5-1stretch) stretch; urgency=high

  * new parameter to enable incremental 2D mapping (experimental, default: false)
  * bug fix for OctomapServer map projection
  * Fixed OctomapServer not clearing obstacles in projected 2D map properly
  * fixed map reset and incremental 2D updates
  * added arm layer height lookup


=== debian/control ===
Source: ros-melodic-octomap-server
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Homepage: http://www.ros.org/wiki/octomap_server
Standards-Version: 3.9.2

Package: ros-melodic-octomap-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-apps1.8, libpcl-common1.8, libpcl-features1.8, libpcl-filters1.8, libpcl-io1.8, libpcl-kdtree1.8, libpcl-keypoints1.8, libpcl-ml1.8, libpcl-octree1.8, libpcl-outofcore1.8, libpcl-people1.8, libpcl-recognition1.8, libpcl-registration1.8, libpcl-sample-consensus1.8, libpcl-search1.8, libpcl-segmentation1.8, libpcl-stereo1.8, libpcl-surface1.8, libpcl-tracking1.8, libpcl-visualization1.8, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Description: octomap_server loads a 3D map (as Octree-based OctoMap) and distributes it to other nodes in a compact binary format.
 It also allows to incrementally build 3D OctoMaps, and provides map saving in the node octomap_saver.

## ros-melodic-octomap-server 0.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(octomap_server)
 
 set(PACKAGE_DEPENDENCIES
@@ -15,7 +15,6 @@
   dynamic_reconfigure
   nodelet
 )
-
 
 find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDENCIES})
 
@@ -93,13 +92,10 @@
 
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
-  FILES_MATCHING PATTERN "*.h"
-  PATTERN ".svn" EXCLUDE
 )
 
 install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
-  PATTERN ".svn" EXCLUDE
 )
 
 install(FILES

=== debian/changelog ===
ros-melodic-octomap-server (0.6.7-2bionic) bionic; urgency=high

  * Address warnings on Noetic (#81 <https://github.com/octomap/octomap_mapping/issues/81>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Fri, 24 Dec 2021 00:00:00 -0000

ros-melodic-octomap-server (0.6.6-2bionic) bionic; urgency=high

  * Update CI, package format, dependencies to address dependency issue on Debian Buster (#79 <https://github.com/OctoMap/octomap_mapping/issues/79>)
  * Contributors: Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-melodic-octomap-server (0.6.5-2bionic) bionic; urgency=high

  * Add color server nodelet (#68 <https://github.com/OctoMap/octomap_mapping/issues/68>, #67 <https://github.com/OctoMap/octomap_mapping/issues/67>)
  * Updated maintainer email
  * Contributors: clunietp, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-melodic-octomap-server (0.6.4-2bionic) bionic; urgency=high

  * Add private node handle to fix nodelet support (#61 <https://github.com/OctoMap/octomap_mapping/issues/61>), fixes #39 <https://github.com/OctoMap/octomap_mapping/issues/39>
  * Add octomap_server_color library by default (#60 <https://github.com/OctoMap/octomap_mapping/issues/60>) - by Matthew Powelson
  * Check if part of a voxel is in occupancy range (#59 <https://github.com/OctoMap/octomap_mapping/issues/59>) - by Jasper v. B.
  * Contributors: Matthew Powelson, Wolfgang Merkt, Jasper v. B.

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

ros-melodic-octomap-server (0.6.3-2bionic) bionic; urgency=high

  * Fix compilation on Debian Stretch
  * Get rgb from point cloud iterator without byte shift
  * Contributors: Kentaro Wada, Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Mon, 28 Jan 2019 00:00:00 -0000

ros-melodic-octomap-server (0.6.2-2bionic) bionic; urgency=high

  * Update maintainer email (Wolfgang Merkt)
  * Change catkin_package DEPENDS to OCTOMAP to avoid CMake warning
  * Update maintainer email (Arming Hornung)
  * Update to use non deprecated pluginlib macro
  * Fixed memory leak of colors pointer if COLOR_OCTOMAP_SERVER defined
  * Contributors: Armin Hornung, Mikael Arguedas, Ronky, Wolfgang Merkt

 -- Wolfgang Merkt <w.merkt+oss@gmail.com>  Sun, 27 Jan 2019 00:00:00 -0000

ros-melodic-octomap-server (0.6.1-2bionic) bionic; urgency=high

  * Fix for Colored Octomap: Use PCLPoint everywhere
    Fixes compiler error when enabling the define
    for color.
  * Fixed maxRange bug in OctomapServer.cpp for clearing
  * Adjust maintainer email
  * Contributors: Armin Hornung, Brandon Kinman, Felix Endres

 -- Armin Hornung <armin@hornung.io>  Tue, 18 Oct 2016 23:00:00 -0000

ros-melodic-octomap-server (0.6.0-2bionic) bionic; urgency=high

  * Add sensor model parameters to dynamic_reconfigure
  * Load map file from rosparam
  * Add x and y filter for pointcloud
  * Preparations for ColorOctomapServer (compile option, from source)
  * Fix iterator in OctomapServer
  * TrackingOctomapServer: Publish node center rather than index, prevent from publishing empty cloud
  * Contributors: Armin Hornung, Javier V. Gomez, JJeremie Deray, MasakiMurooka, Shohei Fujii, Wolfgang Merkt

 -- Armin Hornung <armin@hornung.io>  Fri, 25 Mar 2016 00:00:00 -0000

ros-melodic-octomap-server (0.5.3-2bionic) bionic; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-melodic-octomap-server (0.5.2-2bionic) bionic; urgency=high

  * Fixing PCL linking errors on build farm

 -- Armin Hornung <armin@hornung.io>  Thu, 09 Jan 2014 00:00:00 -0000

ros-melodic-octomap-server (0.5.1-2bionic) bionic; urgency=high

  * Fix missing nodelet plugin from install

 -- Armin Hornung <armin@hornung.io>  Mon, 25 Nov 2013 00:00:00 -0000

ros-melodic-octomap-server (0.5.0-2bionic) bionic; urgency=high

  * Small fix in octomap_server_static usage
  * Catkinization, remove support for arm_navigation

 -- Armin Hornung <armin@hornung.io>  Wed, 23 Oct 2013 23:00:00 -0000

ros-melodic-octomap-server (0.4.9-2bionic) bionic; urgency=high

  * cleanup of unused functions
  * Parameters, reading .bt files in octomap_server_static
  * added simple octomap_server_static node to serve OctoMaps from .ot files (no scan integration)
  * Fix for incremental 2D projection map updates (thx to B.Coenen for the report)
  * Publish free space as MarkerArray and CollisionMap (set parameter ~publish_free_space=True to enable). Thx to I. Wieser!
  * renamed OctomapServer's NodeHandle constructor parameter to be more clear, added the same to OctomapServerMultilayer

 -- Armin Hornung <armin@hornung.io>  Wed, 26 Jun 2013 23:00:00 -0000

ros-melodic-octomap-server (0.4.8-2bionic) bionic; urgency=high

  * Applied patch from issue #7 <https://github.com/OctoMap/octomap_mapping/issues/7>: Nodelet version of octomap_server
    Modified to not change the global namespace
  * fixes for cmake / catkin
  * fixed octomap_server for OctoMap 1.5 (deprecations), adjusted to new msg format
  * changed message format to contain only data, meta information stored in new message fields (untested for Groovy)

 -- Armin Hornung <armin@hornung.io>  Tue, 08 Jan 2013 00:00:00 -0000

ros-melodic-octomap-server (0.4.6-2bionic) bionic; urgency=high

  * Added NodeHandle parameter to OctomapServerMultilayer constructor
  * Commited patch #7 <https://github.com/OctoMap/octomap_mapping/issues/7>, contributed by M. Liebhardt: Nodelet version of the octomap server
  * octomap_server and octomap_saver now fully support both binary and full occupancy maps
  * octomap_server can now open .ot files properly, updated octomap_ros to new-style stack.xml
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h
  * removed OctomapROS wrapper from octomap_server classes


=== debian/control ===
Source: ros-melodic-octomap-server
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Homepage: http://www.ros.org/wiki/octomap_server
Standards-Version: 3.9.2

Package: ros-melodic-octomap-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-nav-msgs, ros-melodic-nodelet, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-octomap-ros, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-visualization-msgs
Description: octomap_server loads a 3D map (as Octree-based OctoMap) and distributes it to other nodes in a compact binary format.
 It also allows to incrementally build 3D OctoMaps, and provides map saving in the node octomap_saver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-octomap-server//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
